resource "rke_cluster" "cluster" {
  kubernetes_version = var.kubernetes_version
  nodes {
    # no proper IP support for rke, yet
    address = hcloud_server.k8s-single.ipv4_address
    user    = "ansible"
    role    = ["controlplane", "worker", "etcd"]
    ssh_key = "${file("../ssh-terraform-hetzner")}"
  }
}

resource "local_sensitive_file" "kube_config" {
  filename = "${path.root}/kube_config_single.yml"
  content  = "${rke_cluster.cluster.kube_config_yaml}"
}
